summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andy Bailey2010-07-10 09:16:00 +0200
committer Robby Workman2010-07-10 09:17:59 +0200
commit47e5f5d5e8bf257908cc2b5a0e3ae5d74e711bc2 (patch)
treebb5407091ceccbabe8ad5ab7b18bdcaf44e0d6f0
parent1fadcf965f3c9d8bd8004dcd060e1537cb9b8c23 (diff)
downloadslackbuilds-47e5f5d5e8bf257908cc2b5a0e3ae5d74e711bc2.tar.gz
development/argus: Added (open source IP Audit tool)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--development/argus/README16
-rw-r--r--development/argus/argus.SlackBuild96
-rw-r--r--development/argus/argus.info10
-rw-r--r--development/argus/doinst.sh27
-rw-r--r--development/argus/rc.argus.patch32
-rw-r--r--development/argus/slack-desc19
6 files changed, 200 insertions, 0 deletions
diff --git a/development/argus/README b/development/argus/README
new file mode 100644
index 0000000000..86c162b8e6
--- /dev/null
+++ b/development/argus/README
@@ -0,0 +1,16 @@
+This is a Slackbuild packaging of the Argus network auditing suite.
+Argus has two packages, "argus", which includes the monitoring agent,
+and "argus-clients", which includes all the tools you need to analyze
+Argus output. Similarly, I've create separate Slackbuilds; you will
+almost certainly also want to install argus-clients, possibly on some
+other machine.
+
+The package is built with the standard Slackbuilds autoconf-configure
+parameters. The package uses the contributed init script for the argus
+daemon with a couple of slight modifications. First, the init script
+doesn't test whether your interface is up before starting. Also, I've
+patched the script not to put the interface into promiscuous mode by
+default.
+
+By default, output is recorded to /var/log/argus/argus.out and is not
+automatically rotated.
diff --git a/development/argus/argus.SlackBuild b/development/argus/argus.SlackBuild
new file mode 100644
index 0000000000..f83c543e50
--- /dev/null
+++ b/development/argus/argus.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for Argus
+# Written by R. Bailey <bailey@akamai.com>
+
+PRGNAM=argus
+VERSION=${VERSION:-3.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make \
+ CCOPT= \
+ docdir=/usr/doc/$PRGNAM-$VERSION
+
+make install \
+ docdir=/usr/doc/$PRGNAM-$VERSION \
+ DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/etc
+cp -a support/Config/argus.conf $PKG/etc/argus.conf.new
+
+mkdir -p $PKG/etc/rc.d
+patch -p0 < $CWD/rc.argus.patch
+chmod 0644 support/Startup/argus
+cp -a support/Startup/argus $PKG/etc/rc.d/rc.argus.new
+
+cp -a \
+ COPYING ChangeLog MANIFEST CREDITS VERSION doc/README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/argus/argus.info b/development/argus/argus.info
new file mode 100644
index 0000000000..5db237847a
--- /dev/null
+++ b/development/argus/argus.info
@@ -0,0 +1,10 @@
+PRGNAM="argus"
+VERSION="3.0.2"
+HOMEPAGE="http://www.qosient.com/argus/index.shtml"
+DOWNLOAD="ftp://qosient.com/pub/argus/src/argus-3.0.2.tar.gz"
+MD5SUM="7dc6ebe03bc840a777dd93447d269a31"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andy Bailey"
+EMAIL="bailey@akamai.com"
+APPROVED="rworkman"
diff --git a/development/argus/doinst.sh b/development/argus/doinst.sh
new file mode 100644
index 0000000000..fde57a9702
--- /dev/null
+++ b/development/argus/doinst.sh
@@ -0,0 +1,27 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.argus.new
+config etc/argus.conf.new
+
diff --git a/development/argus/rc.argus.patch b/development/argus/rc.argus.patch
new file mode 100644
index 0000000000..eb42fda952
--- /dev/null
+++ b/development/argus/rc.argus.patch
@@ -0,0 +1,32 @@
+--- support/Startup/argus.orig 2010-07-06 11:23:38.032000082 -0400
++++ support/Startup/argus 2010-07-06 11:27:15.466000084 -0400
+@@ -43,17 +43,17 @@
+ fi
+
+ # Source networking configuration.
+-. /etc/sysconfig/network
++#. /etc/sysconfig/network
+
+ # Check that networking is up.
+-[ ${NETWORKING} = "no" ] && exit 1
++# [ ${NETWORKING} = "no" ] && exit 1
+
+
+ # Set argus path by defining $ARGUSHOME for this script.
+ # If argus was installed in another way, modify PATH to
+ # include the directory where the argus binary was installed.
+
+-ARGUSDIR=/usr/local/sbin
++ARGUSDIR=/usr/sbin
+ ARGUSHOME=$ARGUSDIR
+ export PATH=$ARGUSHOME:$PATH
+
+@@ -71,7 +71,7 @@
+ then
+ mkdir /var/log/argus
+ fi
+- argus -de `hostname` -w /var/log/argus/argus.out \
++ argus -p -de `hostname` -w /var/log/argus/argus.out \
+ > /dev/null 2>&1
+ RETVAL=$?
+ else
diff --git a/development/argus/slack-desc b/development/argus/slack-desc
new file mode 100644
index 0000000000..45612e0675
--- /dev/null
+++ b/development/argus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+argus: argus (open source IP Audit tool)
+argus:
+argus: Argus is a data network transaction auditing tool that
+argus: categorizes network packets which match the boolean expression into
+argus: a protocol-specific network transaction model. Argus reports on the
+argus: transactions that it discovers, as they occur.
+argus:
+argus:
+argus:
+argus:
+argus: